public class Messenger {
    private void send(String sender, String recipient) {
        System.out.println("Sending message from " + sender + " to " + recipient);
    }

    private boolean testForwardPass() {
        return System.getProperty("testpass").equals("forward");
    }

    // This method has some unnecessary duplication:
    // the lines "send(user1, user2)" and "send(user3, user4)"
    // are repeated in both the if and else branches.
    // How can you avoid this?
    // (In IntelliJ 2019.2 this is not automatically detected, manual refactoring might be needed)
    public void testMessaging() {
        String user1 = "Natalie Wood";
        String user2 = "Abraham Lincoln";
        String user3 = "Grace Hopper";
        String user4 = "Pablo Diego José Francisco de Paula Juan Nepomuceno " +
            "María de los Remedios Cipriano de la Santísima Trinidad Ruiz y Picasso";

        if (testForwardPass()) {
            send(user1, user2);
            send(user2, user3);
            send(user3, user4);
        } else {
            send(user1, user2);
            send(user3, user2);
            send(user3, user4);
        }
    }
}
