// In this class, there are no automatic suggestions, but it is not great code:

// * There is an overcomplicated nested conditional - does it remind you of anything?
// How can you fix it?

// * Without the comments, it would be near impossible to tell what it does.
// We can make it more self-documenting by renaming the method and its parameters.
// Something like "isItemPriceValid" instead of "check" might be much clearer,
// perhaps "itemCategory" would fit better than "s",
// and "price" would be easier to read than "p".
// Right click on each of the names and choose refactor -> rename, which
// allows you to change the method and parameter names,
// automatically changing all references to them accordingly.

public class Misnomer {
    private static final double DAIRY_MIN_PRICE = 1.25;
    private static final double BAKERY_MIN_PRICE = 2.30;
    private static final double FRUIT_MIN_PRICE = 0.55;
    private static final double FREEZER_MIN_PRICE = 1.50;

    // This method validates whether the price of a store item is valid
    public boolean check(String s, double p) {
        if (s.equals("dairy")) {
            return p > DAIRY_MIN_PRICE;
        } else {
            if (s.equals("bakery")) {
                return p > BAKERY_MIN_PRICE;
            } else {
                if (s.equals("fruit")) {
                    return p > FRUIT_MIN_PRICE;
                } else {
                    if (s.equals("freezer")) {
                        return p > FREEZER_MIN_PRICE;
                    } else {
                        return p > 0;
                    }
                }
            }
        }
    }
}
