import java.time.LocalTime;

// rating is highlighted - it can be automatically made private here
public class Talk {
    int rating;

    public LocalTime scheduleSession() {
        return compareRatingWithMethodParameter(3) ?
                LocalTime.of(9, 0) :
                LocalTime.of(10, 0);
    }

    // Here IntelliJ suggests to inline the value 3 for param
    // This is a small improvement - but we can do better,
    // this method is very simple and is a good candidate for inlining.
    // Follow these steps to automatically inline the method:
    // 1. Right-click on the call to compareRatingWithMethodParameter in scheduleSession
    // 2. Choose refactor -> inline method
    // 3. Select "inline all and remove the method"
    // 4. Done!
    private boolean compareRatingWithMethodParameter(int param) {
        return rating < param;
    }
}
